### Class

# Spelling Dictionary

#### Description [src]

    abstract class Spelling.Dictionary : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for spellchecking dictionaries.

#### Ancestors

- GObject

#### Instance methods

###### spelling_dictionary_add_word

Adds `word` to the dictionary.

###### spelling_dictionary_contains_word

Checks if the dictionary contains `word`.

###### spelling_dictionary_get_code

Gets the language code of the dictionary, or `NULL` if undefined.

###### spelling_dictionary_get_extra_word_chars

Gets the extra word characters of the dictionary.

###### spelling_dictionary_ignore_word

Requests the dictionary to ignore `word`.

###### spelling_dictionary_list_corrections

Retrieves a list of possible corrections for `word`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Spelling.Dictionary:code

The language code, for example `en_US`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpellingDictionaryClass {
      /* no available fields */
    }

No description available.